Subject: RE: [manet] Question regarding Mobility

From: "Dearlove, Chris (UK)" <[email-masked]>
Date: Thu, 27 Nov 2003 09:16:38 +0000

> > > Actually, we only need to consider a single node, and 
> show that it is
> > > uniformly distributed in the square.  Thus, even though Philippe's
> > > explanation is accurate, I don't think it is necessary to 
> talk about
> > > a Poisson distribution.   Allowing the single node to 
> travel straight
> > > through boundaries, we only need to show that it is uniformly
> > > distributed in whatever "clone" of the square it happens to be in
> > > at any time.   I think this follows simply because the node is
> > > initially placed uniformly, and its movements are independent of
> > > its location.
> >
> > It doesn't travel through walls, it bounces off them, so we need to
> > apply some reflections, and we need basic symmetry 
> properties (left/right,
> > up/down).
> >
> > Otherwise consider a node which always picks its next destination a
> > short distance away to the right, regardless of position. 
> It will keep
> > hitting the right wall, bouncing, doing the same again and always be
> > close to the right wall, i.e. not uniform.
> 
> Good point.  But I am talking about the probability 
> distribution at any
> point in time.

So am I. Suppose that all nodes have the above skewed distribution
of movement. Then, regardless of initial uniform distribution, all
will end up near the right wall, not uniformly distributed.

> Even if the node never moves, it's position is still
> uniform because it was placed that way.

Not moving is symmetric!

Of course the main point you make is important: you need a uniform
initial distribution. I think that and symmetry of movement (in
two axes) is then sufficient for a uniform distribution at all
future times. I haven't rigorously proved it however (a proof
would be based on equivalent positions, with reflection).

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Richard Ogier <[email-masked]>
Date: Sun, 30 Nov 2003 19:02:50 -0800

Chris,

You are right.   For the "cloned square" argument to work (to prove the 
node
position is uniformly distributed), the node movements must not only be 
independent
of position, but they must also be statistically symmetric in the two axes.
(This is because each cloned square is some reflection of the original 
square.)
Also, the node must choose a new random direction every step. E.g, it 
cannot
choose a random direction initially and always travel in that direction, 
since
then it could still end up near one of the four sides.

Richard